#
# RPM spec file for Dan Bernstein's checkpassword package
#
# $Id: checkpassword.spec,v 1.3 2001/02/09 00:23:00 mac Exp $
#
Summary: uniform password-checking interface to all root applications
%define name checkpassword
Name: %{name}
%define version 0.90
%define release 02
Version: %{version}
Release: %{release}
Copyright: Daniel J. Bernstein
Group: Networking/Daemons
Source: http://cr.yp.to/checkpwd/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/checkpwd.html
Patch0: %{name}-%{version}.patch.2001020500
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: checkpassword
AutoReqProv: no

%description
checkpassword provides a simple, uniform password-checking interface
to all root applications. It is suitable for use by applications such
as login, ftpd, and pop3d.

There are checkpassword-compatible tools that support alternate
password databases, secret login names, long passwords, subaccounts,
one-time passwords, detailed accounting, and many other features.
Applications that use the checkpassword interface will work with all
of these tools. Several tools have been specifically designed to
support POP toasters.

%changelog
* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Mon Feb 5 2001 Peter Samuel <peters@e-smith.com>
- [0.90-01]
- Now installs in its own root area prior to creating binary RPM.

* Mon Mar 11 1999 Joseph Morrison <jdm@e-smith.com>
- [0.76-1]
- initial release

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the files or their
# final installed locations.

%patch0 -p1

# Create the relative installation directory.

mkdir -p ./root/bin

%build
make

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(700,root,root) /bin/checkpassword
